## org.apache.cocoon.processor
Interface Processor

All Superinterfaces:
  Actor, Changeable

All Known Implementing Classes:
  DCPProcessor, LdapProcessor, SQLProcessor, LinkEncodingProcessor, XSPProcessor, XSLTProcessor, XIncludeProcessor

public interface Processor
extends Actor, Changeable

Every DOM processor must extend this interface to be recognized by Cocoon as a DOM processor.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:29 $
Author:
  Stefano Mazzocchi

Method Summary
`org.w3c.dom.Document` `process(org.w3c.dom.Document document, java.util.Dictionary parameters)` Process the DOM tree.

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Methods inherited from interface org.apache.cocoon.framework.Changeable
`hasChanged`

Method Detail

### process

    public org.w3c.dom.Document process(org.w3c.dom.Document document,
                                        java.util.Dictionary parameters)
                                 throws java.lang.Exception

  Process the DOM tree. The returned tree is allowed to be either a copy or the modified input tree.

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.